#ifndef _FCAST_DEMO_H
#define _FCAST_DEMO_H
/*------------------------------------------------------------------------------
 *                          Silicon Laboratories, Inc.
 *                           http://www.silabs.com
 *                               Copyright 2010
 *------------------------------------------------------------------------------
 *
 *    FILE:       fcast_demo.h
 *    TARGET:     Si4010
 *    TOOLCHAIN:  Keil
 *    DATE:       May 05, 2010, Wednesday
 *    RELEASE:    2.1 (JimG), ROM version 02.00, trim 3
 *
 *------------------------------------------------------------------------------
 *
 *    DESCRIPTION:
 *      Header file for the fcast_demo module.
 *
 *------------------------------------------------------------------------------
 *
 *    INCLUDES:
 */
#include "si4010_types.h"
#include "si4010_api_rom.h"
/*
 *------------------------------------------------------------------------------
 *
 *    MACROS:
 */

/* Maximum length of the data buffer to transmit in bytes */
#define bFCastDemo_MaxFrameSize_c       (42)//(125)

//------------------------------------------------------------------------------

//    VARIABLES:


// Structure for setting up the ODS .. must be in XDATA 
  tOds_Setup xdata rOdsSetup;

// Structure for setting up the PA .. must be in XDATA 
  tPa_Setup xdata  rPaSetup;

// Data byte frame .. the pointer must point to XDATA 
  BYTE xdata    *pbFrameHead;

// Battery measurement .. delete if battery measurement is not used 
  int           iBatteryMv;
  BYTE          bBatteryWait;   // Wait time after loading in 17us increment 

//------------------------------------------------------------------------------


/* Constant array which holds the frame */
BYTE const code abFCastDemo_FrameArray[bFCastDemo_MaxFrameSize_c]
      = {0x55, 0x55, 0x55, 0x51, 0xD3, 0x4C, 0x80, 0x33, 0xd3, 0xB2, 0xB4, 0x52, 0xCB, 0x32, 0xD5, 0xD2, 0xA8, 0x69, 0xA6, 0x99, 0x99,
         0x69, 0x59, 0x5A, 0xA9, 0x65, 0x99, 0x6A, 0x69, 0xD4, 0x34, 0xD3, 0xCC, 0xCC, 0xB4, 0x2C, 0xAD, 0xD4, 0xB2, 0x4C, 0xB5, 0x34}; 

/*
BYTE const code abFCastDemo_FrameArray[bFCastDemo_MaxFrameSize_c]
      = {0x55, 0x55, 0x55, 0x51, 0xD3, 0x4C, 0x33, 0x33, 0xd3, 0xB2, 0xB4, 0x52, 0xCB, 0x32, 0xD5, 0xD2, 0xA8, 0x69, 0xA6, 0x99, 0x99,
         0x69, 0x59, 0x5A, 0xA9, 0x65, 0x99, 0x6A, 0x69, 0xD4, 0x34, 0xD3, 0xCC, 0xCC, 0xB4, 0x2C, 0xAD, 0xD4, 0xB2, 0x4C, 0xB5, 0x34}; 

*/


/*
 *------------------------------------------------------------------------------
 */
#endif /* _FCAST_DEMO_H */
